/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: J2WDLSharedEndpoint.java 62602 2011-04-21 14:51:41Z kgrucci $
 */

/* Copyright (c) 2003 Oracle Corporation.  All rights reserved.  */
package com.sun.ts.tests.jaxws.sharedwebservices.doclitservice;


import javax.jws.WebService;

@WebService(
targetNamespace="http://doclitservice.org/wsdl"
)
public interface J2WDLSharedEndpoint {
    public String helloWorld() ;

    public String stringOperation(String param) ;

    public String [] arrayOperation() ;

    public J2WDLSharedBean getBean() ;

    public String arrayOperationFromClient(String [] array) ;
}
